/*
 * NewsItem.java
 *
 * Created on May 21, 2003, 1:51 PM
 */

package com.opencms.modules.homepage.news;

import java.beans.*;

/**
 *
 * @author  renehinojosa
 */
public class NewsItem extends Object implements java.io.Serializable {
    
    private int n_id;
    private String n_headline;
    private String n_description;
    private String n_text;
    private String n_author;
    private String n_link;
    private String n_linkText;
    private java.util.Date n_date;
    private int n_lockState;
    private int n_channel;
    private String a_info1;
    private String a_info2;
    private String a_info3;
    
    /** Creates NewsItem with no properties set */
    public NewsItem() {
        this(0);
    }
    
    public NewsItem(int id){
        this.n_id = id;
        this.n_headline = "";
        this.n_description = "";
        this.n_text = "";
        this.n_author = "";
        this.n_link = "";
        this.n_linkText = "";
        this.n_date = null;
        this.n_lockState = 0;
        this.n_channel = 0;
        this.a_info1 = "";
        this.a_info2 = "";
        this.a_info3 = "";
    }
    /** Returns the id of the NewsItem */
    public int getID() {
        return this.n_id;
    }
    
    public void setHeadline(String headline) {
        this.n_headline = headline;
    }    
    /** Returns the headline of the NewsItem */
    public String getHeadline() {
        return this.n_headline;
    }

    public void setDescription(String description) {
        this.n_description = description;
    }    
    /** Returns the news description of the NewsItem */
    public String getDescription() {
        return this.n_description;
    }
    public void setN_text(String text) {
        this.n_text = text;
    }    
    /** Returns the text of the NewsItem */
    public String getN_text() {
        return this.n_text;
    }
    public void setN_author(String author) {
        this.n_author = author;
    }    
    /** Returns the author of the NewsItem */
    public String getN_author() {
        return this.n_author;
    }
    public void setN_link(String link) {
        this.n_link = link;
    }    
    /** Returns the link of the NewsItem */
    public String getN_link() {
        return this.n_link;
    }
    public void setN_linkText(String linkText) {
        this.n_linkText = linkText;
    }    
    /** Returns the link text of the NewsItem */
    public String getN_linkText() {
        return this.n_linkText;
    }
    
    public void setN_date(java.util.Date date) {
        this.n_date = date;
    }    
    /** Returns the date of the NewsItem */
    public java.util.Date getN_date() {
        return this.n_date;
    }
    public void setN_lockState(int lockState) {
        this.n_lockState = lockState;
    }    
    /** Returns the lockState of the NewsItem */
    public int getN_lockState() {
        return this.n_lockState;
    }
    public void setN_channel(int channel) {
        this.n_channel = channel;
    }    
    /** Returns the channel number of the NewsItem */
    public int getN_channel() {
        return this.n_channel;
    }
    public void setA_info1(String a_info) {
        this.a_info1 = a_info;
    }    
    /** Returns the additional info field of the NewsItem */
    public String getA_info1() {
        return this.a_info1;
    }
    public void setA_info2(String a_info) {
        this.a_info1 = a_info;
    }    
    /** Returns the additional info field of the NewsItem */
    public String getA_info2() {
        return this.a_info1;
    }   
    public void setA_info3(String a_info) {
        this.a_info1 = a_info;
    }    
    /** Returns the additional info field of the NewsItem */
    public String getA_info3() {
        return this.a_info1;
    }   
    
}
